import java.io.FileOutputStream;
import java.io.IOException;
import java.util.HashSet;
import java.util.Set;

import org.apache.poi.ss.usermodel.Sheet;
import org.apache.poi.ss.usermodel.Workbook;
import org.apache.poi.xssf.usermodel.XSSFWorkbook;


public class TestCreateSheet 
{
	public static void main (String args[]) throws IOException
	{
		Workbook wb = new XSSFWorkbook("Book1.xlsx");
		
		Set<String> sheetNames = new HashSet<String>();
		
		for (int sheetNum = 0; sheetNum < wb.getNumberOfSheets(); sheetNum++)
		{
			sheetNames.add(wb.getSheetName(sheetNum));
		}
		
		for (String sheetName : sheetNames)
		{
			int sheetIndex = wb.getSheetIndex(sheetName);
			
			wb.removeSheetAt(sheetIndex);
			
			Sheet newSheet = wb.createSheet();
			//Sheet newSheet = wb.createSheet(sheetName);
			int newSheetIndex = wb.getSheetIndex(newSheet);
			System.out.println(newSheetIndex);
			wb.setSheetName(newSheetIndex, sheetName);
			wb.setSheetOrder(sheetName, sheetIndex);
		}
		
		FileOutputStream out = new FileOutputStream("Book1_mod.xlsx");
		wb.write(out);
		out.close();
	}
}
